Bug 438153 - Poor LVM mirroring performance
Summary: Poor LVM mirroring performance
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Mikuláš Patočka
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 432566
Blocks: KernelPrio5.3
TreeView+ depends on / blocked
 
Reported: 2008-03-19 13:43 UTC by Scott Crenshaw
Modified: 2009-01-20 20:02 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-20 20:02:17 UTC


Attachments (Terms of Use)
first patch (3.62 KB, patch)
2008-08-19 21:09 UTC, Mikuláš Patočka
no flags Details | Diff
second patch (4.11 KB, patch)
2008-08-19 21:10 UTC, Mikuláš Patočka
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Comment 8 Mikuláš Patočka 2008-08-19 21:09:18 UTC
Created attachment 314575 [details]
first patch

First patch --- use timers when we need delayed wake-up.

Comment 9 Mikuláš Patočka 2008-08-19 21:10:17 UTC
Created attachment 314576 [details]
second patch

And the second patch: unplug the queue to avoid 3ms delay.

Comment 10 Don Zickus 2008-09-15 14:17:00 UTC
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 14 errata-xmlrpc 2009-01-20 20:02:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.